# WOK
TKWOK
WOKDeliv

# WOKDeliv_DelivBuildExec Class Reference

Produces executables from deliveries
.

`#include <WOKDeliv_DelivBuildExec.hxx>`

Inheritance diagram for WOKDeliv_DelivBuildExec:

[legend]

## Public Member Functions

Standard_EXPORT | WOKDeliv_DelivBuildExec (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | VisibleParcels () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&anitem)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .
Standard_EXPORT Standard_Boolean | MakeldFile (const Handle(WOKernel_Parcel)&aparcel, const Handle(WOKernel_DevUnit)&asourceunit, const Handle(WOKernel_DevUnit)&adestunit, const Handle(TCollection_HAsciiString)&namexec, const Handle(WOKMake_HSequenceOfInputFile)&execlist)

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DelivBuildExec::WOKDeliv_DelivBuildExec | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKDeliv_DelivBuildExec::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKDeliv_DeliveryCopy.

Standard_EXPORT const WOKDeliv_DelivBuildExec::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKDeliv_DeliveryCopy.

virtual Standard_EXPORT Standard_Boolean WOKDeliv_DelivBuildExec::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | anitem | ) | `[protected, virtual]`

| Reimplemented from WOKDeliv_DeliveryCopy.

Standard_EXPORT Standard_Boolean WOKDeliv_DelivBuildExec::MakeldFile | ( | const Handle(WOKernel_Parcel)& | aparcel,
|  | const Handle(WOKernel_DevUnit)& | asourceunit,
|  | const Handle(WOKernel_DevUnit)& | adestunit,
|  | const Handle(TCollection_HAsciiString)& | namexec,
|  | const Handle(WOKMake_HSequenceOfInputFile)& | execlist
| ) | `[private]`

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKDeliv_DelivBuildExec::VisibleParcels | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKDeliv_DelivBuildExec.hxx